HFST-GUESSIFY(1)

NAME
hfst-guessify - =Compile a morphological analyzer into a guesser and generator.

SYNOPSIS
hfst-guessify [OPTIONS...] [INFILE]

DESCRIPTION
Compile a morphological analyzer into a guesser and generator.

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Guesser options:

-p, --default-penalty
    Give penalty for skipping one symbol of input (1.0 by default).

-G, --do-not-compile-generator
    When compiling the guesser, do not compile a model form generator.

All analyses in the morphological analyzer should have the form: w o r d f o r m POS [GUESS_CATEGORY=CLASS] X Y Z ... where POS is the part-of-speech tag, [GUESS_CATEGORY=CLASS] is an inflectional category marker and X, Y and Z are inflectional markers. The form of the inflectional category marker is fixed. CLASS can be any string, which doesn't contain "]".

Using the option -d will reduce the size of the guesser file by approximately half, but may substantially increase the load time of the guesser when generating model forms. If you only need to guess analyses of unknown word forms, -d has no effect on load time.

If OUTFILE or INFILE is missing or -, standard streams will be used.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-guessify home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstGuessify>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.